Subject: Re: [PATCH] prio-queue: use size_t rather than int for size

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Dec 2024 07:27:18 -0800

Jeff King <[email-masked]> writes:

> On Fri, Dec 20, 2024 at 03:49:49AM -0500, Jeff King wrote:
>
>> -static inline int compare(struct prio_queue *queue, int i, int j)
>> +static inline int compare(struct prio_queue *queue, size_t i, size_t j)
>>  {
>>  	int cmp = queue->compare(queue->array[i].data, queue->array[j].data,
>>  				 queue->cb_data);
>>  	if (!cmp)
>> -		cmp = queue->array[i].ctr - queue->array[j].ctr;
>> +		cmp = (queue->array[i].ctr > queue->array[j].ctr) -
>> +	              (queue->array[i].ctr < queue->array[j].ctr);
>>  	return cmp;
>>  }
>
> Sorry, just realized that "diff --check" (and apply) complains about the
> indentation here. It's a TAB followed by 14 spaces, instead of two TABs
> followed by 6 spaces. I guess caused by me lining things up manually.

"git am --whitespace=fix" with or without "-3" corrects such
glitches just fine, and "git am --whitespace=error" correctly stops
me from applying such a patch.

What is worrysome is "git am -3 --whitespace=warn" does not seem to
catch it (without "-3" it works just fine).  I do not know offhand
if this is a recent regression or not.